Name:           xtl
Version:        0.6.5
Release:        1%{?dist}
Summary:        Basic tools (containers, algorithms) used by xtensor-* packages
License:        BSD
URL:            https://xtl.readthedocs.io/

%global github  https://github.com/QuantStack/xtl

Source0:        %{github}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gtest-devel

# there is no actual arched content - this is a header only library
%global debug_package %{nil}

%global _description %{expand:
xtl provides implementation of C++ utilities like complex, span, hash,
optional, variant and similar classes used by xtensor-* packages.}

%description %_description

%package devel
Summary:        %{summary}
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
%description devel %_description


%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS=ON \
.
%make_build

%install
%make_install

%check
%make_build xtest

%files devel
%doc README.md
%license LICENSE
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Sep 3 2019 sguelton@redhat.com - 0.6.5-1
- Initial package
